Package org.apache.lucene.spatial3d.geom

# Class Tools

java.lang.Object
org.apache.lucene.spatial3d.geom.Tools

public class Tools extends Object
Static methods globally useful for 3d geometric work.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static double`
  `safeAcos(double value)`
  Java acos yields a NAN if you take an arc-cos of an angle that's just a tiny bit greater than 1.0, so here's a more resilient version.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### safeAcos

    public static double safeAcos(double value)
    Java acos yields a NAN if you take an arc-cos of an angle that's just a tiny bit greater than 1.0, so here's a more resilient version.